al_is_compatible_bitmap(3)

NAME

al_is_compatible_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_is_compatible_bitmap(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

D3D and OpenGL allow sharing a texture in a way so it can be used for multiple windows. Each ALLEGRO_BITMAP(3) created with al_create_bitmap(3) however is usually tied to a single ALLEGRO_DISPLAY. This function can be used to know if the bitmap is compatible with the given display, even if it is a different display to the one it was created with. It returns true if the bitmap is compatible (things like a cached texture version can be used) and false otherwise (blitting in the current display will be slow).

The only time this function is useful is if you are using multiple windows and need accelerated blitting of the same bitmaps to both.

Returns true if the bitmap is compatible with the current display, false otherwise. If there is no current display, false is returned.